Bug 145875 - [GTK] Add API to be notified about editor state changes
Summary: [GTK] Add API to be notified about editor state changes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks: 146781
  Show dependency treegraph
 
Reported: 2015-06-11 00:44 PDT by Carlos Garcia Campos
Modified: 2015-07-22 12:31 PDT (History)
6 users (show)

See Also:


Attachments
Patch (47.51 KB, patch)
2015-06-11 01:04 PDT, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2015-06-11 00:44:09 PDT
This is useful to update the UI according to the editor state for editable web views. For now we could just expose the typing attributes, so that the toggle buttons for Bold, Italic, etc. can be updated when needed. I think this will make evolution composer a lot simpler (it still needs selection-changed in the web process for other things, though).
Comment 1 Carlos Garcia Campos 2015-06-11 01:04:52 PDT
Created attachment 254712 [details]
Patch
Comment 2 Carlos Garcia Campos 2015-07-07 03:11:53 PDT
ping reviewers
Comment 3 Gustavo Noronha (kov) 2015-07-20 10:54:53 PDT
Comment on attachment 254712 [details]
Patch

LGTM =)
Comment 4 Carlos Garcia Campos 2015-07-20 23:07:46 PDT
Committed r187100: <http://trac.webkit.org/changeset/187100>
Comment 5 Michael Catanzaro 2015-07-22 12:31:57 PDT
This caused bug #147196